// Copyright (C) 2008 - INRIA
// Copyright (C) 2009-2010 - DIGITEO
//
// This file is released under the 3-clause BSD license. See COPYING-BSD.


TOOLBOX_NAME  = "Scilib_GEO";
TOOLBOX_TITLE = "Scilib-GEO";
toolbox_dir = get_absolute_file_path("builder.sce");

// Check Scilab's version
// =============================================================================

  try
    v = getversion("scilab");
  catch
    error(gettext("Scilab 5.2 or more is required."));
  end

  if v(2) < 2 then
    // new API in scilab 5.2
    error(gettext('Scilab 5.2 or more is required.'));  
   end
  //if v(2) < 3 then
    // new API in scilab 5.3
  //    error(gettext('Scilab 5.3 or more is required.'));
  //end
  clear v;


// Check development_tools module avaibility
// =============================================================================
//v5.2
  if ~with_module('development_tools') then
    error(msprintf(gettext('%s module not installed."),'development_tools'));
  end
//v5.3
  //if ~isdef('tbx_build_loader') then
  //  error(msprintf(gettext('%s module not installed."), 'modules_manager'));
  //end

// Action
// =============================================================================

  tbx_builder_macros(toolbox_dir);
  //tbx_builder_src(toolbox_dir);
  //tbx_builder_gateway(toolbox_dir);
  tbx_builder_help(toolbox_dir);    // error 10000
  tbx_build_loader(TOOLBOX_NAME, toolbox_dir);
  tbx_build_cleaner(TOOLBOX_NAME, toolbox_dir);

// Clean variables
// =============================================================================

clear toolbox_dir TOOLBOX_NAME TOOLBOX_TITLE;
