// Demo:          Plot von Yuma-Almanachdaten in div. Variationen
//
// Voraussetzung: GEOgpslib und GEOutillib mssen geladen sein
//
// Copyright (c) area7/Christof Schulze  2007-2010
//--------------------------------------------------------------

//format("e", 16); // mtlb_format("long")

if ~isdef('readyuma') | ~isdef('plotWorldmap') then
  mprintf("\n--- Demo: plot_AlmanachOrbit abgebrochen - Die Bibliotheken GEOgpslib und/oder GEOutillib ist nicht geladen.\n");
  abort;
end;

mprintf("\n--- Demo: plot_AlmanachOrbit ausgefhrt.\n");

defaultYumafile = get_absolute_file_path('plot_AlmanachOrbit.sce') + '345.ALM';

satdata = readyuma(defaultYumafile);


// Plot erstellen
set("figure_style","new");
plotWorldmap(%T);
//plot2d(zenit,[trop1',trop2'],[1, 2]);  
set(gca(),"auto_clear","off");





clear defaultYumafile get_absolute_file_path gca ;
