// Demo:          Plot fr Erdrotation
//
// Voraussetzung: GEOphyslib mu geladen sein
//
// (Bereich: Erdmessung, bungsblatt 3, 10.11.2002)
//
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

if ~isdef('nutwinkel') then
  mprintf("\n--- Demo plot_tropKor abgebrochen - Die Bibliothek GEOphyslib ist nicht geladen.\n");
  abort;
end;

mprintf("\n--- Demo: plot_Erdrotation ausgefhrt.\n");


// Definition der Vorgabewerte
t = [-0.2:1e-5:0.17];

[eps0,deps,dpsi] = nutwinkel(t);



//hdl = figure(1)
// Plot erstellen
//set("figure_style", "new");
f1 = scf(1);  //creates figure with id==1 and make it the current one
f1.color_map = jetcolormap(64);
f1.figure_size = [400, 400];
plot2d(deps, dpsi, t);  //plot3(deps, dpsi, t);
set(gca(),"auto_clear","off");

f2 = scf(2);  //creates figure with id==2 and make it the current one
f2.color_map = jetcolormap(64);
f2.figure_size = [400, 400];
plot3d(deps, dpsi, eps0);

//figure(3);

//comet3(deps, dpsi, t);

clear t eps0 deps dpsi nutwinkel gca;
