// Konstanten:        Astronomische Konstanten
//
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

mprintf("\t\t - astronomische Konstanten </etc/const_astro.sce>\n");

%c_praez = 5029.0966;         // Präzessionskonstante ['']
%c_nut   = 9.2025;            // Nutationskonstante ['']
  
%c_c = 299792458;             // speed of light [m/s]
%c_we = 7.2921151467e-5;      // Omega_E; earth angular velocity [rad/s]

%c_wgs_a = 6378137.0;         // semi-major axis  WGS84-Ellipsoid [m]
%c_wgs_f = 1/298.257223563;   // flatteinig WGS84-Ellipsoid [1]
%c_wgs_GM = 3.986004418e+14;  // earth gravitational constant [m³/s²]
