function [tknr] = get_tkblattnr(long,lat) 
// Berechnet die TK25 Blattnummer aus Länge und Breite
//
// in : long - geogr. Länge [degree,decimal]
//      lat  - geogr. Breite [degree,decimal]
// out: tknr - TK25 Blattnummer
//
// Die Umwandlung ist exakt. (matrixfähig)
//
// Copyright (c) area7/Christof Schulze  2008-2010
//--------------------------------------------------------------

// Ouput variables initialisation (not found in input variables)
  tknr = [];

  tknr = floor(6 .*long) - 34 + (100 .*(559 - floor(10 .*lat)));

endfunction;