function print_test_result(name, verbose, test_result)
// test_result ist Matrix[test (integer number vortlaufend), valid (integer 0/1)]
// 
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------

mode(0);    // Display mode
ieee(1);    // Display warning for floating point exception

  mprintf("--- Test " + name + "---\n");
  
  [nr,nc] = size(test_result);
  for i=1:nr
    if (test_result(i,2)==0) then // failed 0 
      if verbose>=1 then
        mprintf("    (%i) - failed \n", test_result(i,1));
      end;
    else                         // ok 1
      if verbose==2 then
        mprintf("    (%i) - ok \n", test_result(i,1));
      end;
    end;

  end;

  valids = sum(test_result(:,2));
  tests = size(test_result,1);
  txt2 = msprintf("    [%i of %i] passed", valids, tests);
  if tests==valids then
      mprintf(txt2 + "\n\n");
  else
      mprintf("  error --->" +txt2+"\n\n");
  end;

endfunction
